This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 129143 - split Factory classes to factories and Managers
split Factory classes to factories and Managers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan Bloom
Fanny Augustin
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2004-08-04 10:08 EDT by Ryan Bloom
Modified: 2007-04-18 13:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 11:16:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ryan Bloom 2004-08-04 10:08:09 EDT
We said a long time ago that factories would be responsible for
loading from and saving to the DB and Managers would deal with all
inter-object relationships.  But, we haven't actually followed that
model, and most (if not all) of our factory classes include some
manager logic.  Either we should revisit the decision or modify the
classes behave correctly.
Comment 1 Ryan Bloom 2004-08-23 11:16:48 EDT
All factories are strictly for database modification/lookup now. 
Managers take care of business logic.

Note You need to log in before you can comment on or make changes to this bug.